global_settings {
    assumed_gamma 1.0000
    ambient_light srgb <1.0000,1.0000,1.0000>
}
#declare Swamp = srgbft <0.0000,0.1059,0.1098,0.0000,0.0000>;
background {
    color Swamp
}
#declare Camera00 = camera {
    perspective
    location <2.8000,2.8000,-2.8010>
    sky <0.0000,1.0000,0.0000>
    angle 35.0000
    right x*(image_width/image_height)
    look_at <0.0000,0.0000,0.0000>
}
#declare White = srgbft <1.0000,1.0000,1.0000,0.0000,0.0000>;
#declare Light00 = light_source {
    <50.0000,150.0000,50.0000>, White
}
#declare Red = srgbft <1.0000,0.0000,0.0000,0.0000,0.0000>;
#declare Green = srgbft <0.0000,1.0000,0.0000,0.0000,0.0000>;
#declare Box00 = box {
    <-1.0000,-1.0000,-1.0000>,<1.0000,1.0000,1.0000>
    hollow on
}
#declare Black = srgbft <0.0000,0.0000,0.0000,0.0000,0.0000>;

//-------------------------------------------- wrinkles00 --------------------------------------------
#declare VarDensityShapes_0 = 1.0000;
#declare DensityShapesMap_1 = color_map {
    [ 0.0000 Black*VarDensityShapes_0 ]
    [ 0.0010 Black*VarDensityShapes_0 ]
    [ 0.2000 White*VarDensityShapes_0 ]
    [ 1.0000 White*VarDensityShapes_0 ]
}
// Credit: Jaime Vives Piqueres for warp turbulence scaling. Tierra zip. www.ignorancia.org.
#macro WarpShapesA_2 ()
    scale 1.0/0.9000
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.9
#end
#macro WarpShapesB_3 ()
    scale 1.0/0.8000
    warp {
        turbulence 0.0200
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.8
#end
#declare DensityShapesA_4 = density {
    density_file df3 "wrinkles00_shapes.df3" interpolate 1
    color_map { DensityShapesMap_1 }
    translate -0.5
    scale 2.0
    WarpShapesA_2()
}
#declare DensityShapesB_5 = density {
    density_file df3 "wrinkles00_shapes.df3" interpolate 1
    color_map { DensityShapesMap_1 }
    translate -0.5
    scale 2.0
    WarpShapesB_3()
}
#declare VarDensityColor_6 = 1.5000;
#declare DensityColorMap_7 = color_map {
    [ 0.0000 Black*VarDensityColor_6 ]
    [ 0.3499 Black*VarDensityColor_6 ]
    [ 0.3500 Black*VarDensityColor_6 ]
    [ 0.5000 Black*VarDensityColor_6 ]
    [ 0.6500 Black*VarDensityColor_6 ]
    [ 0.6501 Black*VarDensityColor_6 ]
    [ 1.0000 Black*VarDensityColor_6 ]
}
#macro WarpColor_8 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_9 = density {
    wrinkles 
    color_map { DensityColorMap_7 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_8()
}
#declare VarDensityColor_10 = 1.5000;
#declare DensityColorMap_11 = color_map {
    [ 0.0000 Black*VarDensityColor_10 ]
    [ 0.3499 Black*VarDensityColor_10 ]
    [ 0.3500 Red*VarDensityColor_10 ]
    [ 0.5000 Red*VarDensityColor_10 ]
    [ 0.6500 Red*VarDensityColor_10 ]
    [ 0.6501 Black*VarDensityColor_10 ]
    [ 1.0000 Black*VarDensityColor_10 ]
}
#macro WarpColor_12 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_13 = density {
    wrinkles 
    color_map { DensityColorMap_11 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_12()
}
#declare VarDensityColor_14 = 1.5000;
#declare Yellow = srgbft <1.0000,1.0000,0.0000,0.0000,0.0000>;
#declare DensityColorMap_15 = color_map {
    [ 0.0000 Black*VarDensityColor_14 ]
    [ 0.3499 Black*VarDensityColor_14 ]
    [ 0.3500 Yellow*VarDensityColor_14 ]
    [ 0.5000 Yellow*VarDensityColor_14 ]
    [ 0.6500 Yellow*VarDensityColor_14 ]
    [ 0.6501 Black*VarDensityColor_14 ]
    [ 1.0000 Black*VarDensityColor_14 ]
}
#macro WarpColor_16 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_17 = density {
    wrinkles 
    color_map { DensityColorMap_15 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_16()
}
#declare VarDensityColor_18 = 1.5000;
#declare DensityColorMap_19 = color_map {
    [ 0.0000 Black*VarDensityColor_18 ]
    [ 0.3499 Black*VarDensityColor_18 ]
    [ 0.3500 Green*VarDensityColor_18 ]
    [ 0.5000 Green*VarDensityColor_18 ]
    [ 0.6500 Green*VarDensityColor_18 ]
    [ 0.6501 Black*VarDensityColor_18 ]
    [ 1.0000 Black*VarDensityColor_18 ]
}
#macro WarpColor_20 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_21 = density {
    wrinkles 
    color_map { DensityColorMap_19 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_20()
}
#declare VarDensityColor_22 = 1.5000;
#declare Cyan = srgbft <0.0000,1.0000,1.0000,0.0000,0.0000>;
#declare DensityColorMap_23 = color_map {
    [ 0.0000 Black*VarDensityColor_22 ]
    [ 0.3499 Black*VarDensityColor_22 ]
    [ 0.3500 Cyan*VarDensityColor_22 ]
    [ 0.5000 Cyan*VarDensityColor_22 ]
    [ 0.6500 Cyan*VarDensityColor_22 ]
    [ 0.6501 Black*VarDensityColor_22 ]
    [ 1.0000 Black*VarDensityColor_22 ]
}
#macro WarpColor_24 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_25 = density {
    wrinkles 
    color_map { DensityColorMap_23 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_24()
}
#declare VarDensityColor_26 = 1.5000;
#declare Barley_Corn = srgbft <0.6510,0.5451,0.3569,0.0000,0.0000>;
#declare DensityColorMap_27 = color_map {
    [ 0.0000 Black*VarDensityColor_26 ]
    [ 0.3499 Black*VarDensityColor_26 ]
    [ 0.3500 Barley_Corn*VarDensityColor_26 ]
    [ 0.5000 Barley_Corn*VarDensityColor_26 ]
    [ 0.6500 Barley_Corn*VarDensityColor_26 ]
    [ 0.6501 Black*VarDensityColor_26 ]
    [ 1.0000 Black*VarDensityColor_26 ]
}
#macro WarpColor_28 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_29 = density {
    wrinkles 
    color_map { DensityColorMap_27 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_28()
}
#declare VarDensityColor_30 = 1.5000;
#declare Blue_Diamond = srgbft <0.2196,0.0157,0.4549,0.0000,0.0000>;
#declare DensityColorMap_31 = color_map {
    [ 0.0000 Black*VarDensityColor_30 ]
    [ 0.3499 Black*VarDensityColor_30 ]
    [ 0.3500 Blue_Diamond*VarDensityColor_30 ]
    [ 0.5000 Blue_Diamond*VarDensityColor_30 ]
    [ 0.6500 Blue_Diamond*VarDensityColor_30 ]
    [ 0.6501 Black*VarDensityColor_30 ]
    [ 1.0000 Black*VarDensityColor_30 ]
}
#macro WarpColor_32 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_33 = density {
    wrinkles 
    color_map { DensityColorMap_31 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_32()
}
#declare VarDensityColor_34 = 1.5000;
#declare Punch = srgbft <0.8627,0.2627,0.2000,0.0000,0.0000>;
#declare DensityColorMap_35 = color_map {
    [ 0.0000 Black*VarDensityColor_34 ]
    [ 0.3499 Black*VarDensityColor_34 ]
    [ 0.3500 Punch*VarDensityColor_34 ]
    [ 0.5000 Punch*VarDensityColor_34 ]
    [ 0.6500 Punch*VarDensityColor_34 ]
    [ 0.6501 Black*VarDensityColor_34 ]
    [ 1.0000 Black*VarDensityColor_34 ]
}
#macro WarpColor_36 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_37 = density {
    wrinkles 
    color_map { DensityColorMap_35 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_36()
}
#declare VarDensityColor_38 = 1.5000;
#declare Observatory = srgbft <0.0078,0.5255,0.4353,0.0000,0.0000>;
#declare DensityColorMap_39 = color_map {
    [ 0.0000 Black*VarDensityColor_38 ]
    [ 0.3499 Black*VarDensityColor_38 ]
    [ 0.3500 Observatory*VarDensityColor_38 ]
    [ 0.5000 Observatory*VarDensityColor_38 ]
    [ 0.6500 Observatory*VarDensityColor_38 ]
    [ 0.6501 Black*VarDensityColor_38 ]
    [ 1.0000 Black*VarDensityColor_38 ]
}
#macro WarpColor_40 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_41 = density {
    wrinkles 
    color_map { DensityColorMap_39 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_40()
}
#declare VarDensityColor_42 = 1.5000;
#declare DensityColorMap_43 = color_map {
    [ 0.0000 Black*VarDensityColor_42 ]
    [ 0.3499 Black*VarDensityColor_42 ]
    [ 0.3500 White*VarDensityColor_42 ]
    [ 0.5000 White*VarDensityColor_42 ]
    [ 0.6500 White*VarDensityColor_42 ]
    [ 0.6501 Black*VarDensityColor_42 ]
    [ 1.0000 Black*VarDensityColor_42 ]
}
#macro WarpColor_44 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_45 = density {
    wrinkles 
    color_map { DensityColorMap_43 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_44()
}
#macro DensityColorsMap_46 () density_map {
    [ 0.0000 DensityColor_9 ]
    [ 0.0361 DensityColor_9 ]
    [ 0.0371 DensityColor_9 ]
    [ 0.0471 DensityColor_9 ]
    [ 0.0571 DensityColor_9 ]
    [ 0.0581 DensityColor_9 ]
    [ 0.1380 DensityColor_9 ]
    [ 0.1390 DensityColor_13 ]
    [ 0.1490 DensityColor_13 ]
    [ 0.1590 DensityColor_13 ]
    [ 0.1600 DensityColor_9 ]
    [ 0.2361 DensityColor_9 ]
    [ 0.2371 DensityColor_17 ]
    [ 0.2471 DensityColor_17 ]
    [ 0.2571 DensityColor_17 ]
    [ 0.2581 DensityColor_9 ]
    [ 0.3380 DensityColor_9 ]
    [ 0.3390 DensityColor_21 ]
    [ 0.3490 DensityColor_21 ]
    [ 0.3590 DensityColor_21 ]
    [ 0.3600 DensityColor_9 ]
    [ 0.4361 DensityColor_9 ]
    [ 0.4371 DensityColor_25 ]
    [ 0.4471 DensityColor_25 ]
    [ 0.4571 DensityColor_25 ]
    [ 0.4581 DensityColor_9 ]
    [ 0.5380 DensityColor_9 ]
    [ 0.5390 DensityColor_29 ]
    [ 0.5490 DensityColor_29 ]
    [ 0.5590 DensityColor_29 ]
    [ 0.5600 DensityColor_9 ]
    [ 0.6361 DensityColor_9 ]
    [ 0.6371 DensityColor_33 ]
    [ 0.6471 DensityColor_33 ]
    [ 0.6571 DensityColor_33 ]
    [ 0.6581 DensityColor_9 ]
    [ 0.7380 DensityColor_9 ]
    [ 0.7390 DensityColor_37 ]
    [ 0.7490 DensityColor_37 ]
    [ 0.7590 DensityColor_37 ]
    [ 0.7600 DensityColor_9 ]
    [ 0.8361 DensityColor_9 ]
    [ 0.8371 DensityColor_41 ]
    [ 0.8471 DensityColor_41 ]
    [ 0.8571 DensityColor_41 ]
    [ 0.8581 DensityColor_9 ]
    [ 0.9380 DensityColor_9 ]
    [ 0.9390 DensityColor_45 ]
    [ 0.9490 DensityColor_45 ]
    [ 0.9590 DensityColor_45 ]
    [ 0.9600 DensityColor_9 ]
    [ 1.0000 DensityColor_9 ]
}
#end
#declare DensityColorA_47 = density {
    density_file df3 "wrinkles00_values.df3" interpolate 0
    DensityColorsMap_46()
    translate -0.5
    scale 2.0
    WarpShapesA_2()
}
#declare DensityColorA_48 = density {
    density_file df3 "wrinkles00_values.df3" interpolate 0
    DensityColorsMap_46()
    translate -0.5
    scale 2.0
    WarpShapesB_3()
}
#declare MediaA_49_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaA_49 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaA_49_emission
    density { DensityColorA_47 }
    density { DensityShapesA_4 }
}
#declare MediaB_50_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaB_50 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaB_50_emission
    density { DensityColorA_48 }
    density { DensityShapesB_5 }
}

//-------------------------------------------- crackle01 ---------------------------------------------
#declare VarDensityShapes_51 = 1.0000;
#declare DensityShapesMap_52 = color_map {
    [ 0.0000 Black*VarDensityShapes_51 ]
    [ 0.0010 Black*VarDensityShapes_51 ]
    [ 0.2000 White*VarDensityShapes_51 ]
    [ 1.0000 White*VarDensityShapes_51 ]
}
#macro WarpShapesA_53 ()
    scale 1.0/0.9000
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.9
#end
#macro WarpShapesB_54 ()
    scale 1.0/0.8000
    warp {
        turbulence 0.0200
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.8
#end
#declare DensityShapesA_55 = density {
    density_file df3 "crackle01_shapes.df3" interpolate 1
    color_map { DensityShapesMap_52 }
    translate -0.5
    scale 2.0
    WarpShapesA_53()
}
#declare DensityShapesB_56 = density {
    density_file df3 "crackle01_shapes.df3" interpolate 1
    color_map { DensityShapesMap_52 }
    translate -0.5
    scale 2.0
    WarpShapesB_54()
}
#declare VarDensityColor_57 = 1.5000;
#declare DensityColorMap_58 = color_map {
    [ 0.0000 Black*VarDensityColor_57 ]
    [ 0.3499 Black*VarDensityColor_57 ]
    [ 0.3500 Black*VarDensityColor_57 ]
    [ 0.5000 Black*VarDensityColor_57 ]
    [ 0.6500 Black*VarDensityColor_57 ]
    [ 0.6501 Black*VarDensityColor_57 ]
    [ 1.0000 Black*VarDensityColor_57 ]
}
#macro WarpColor_59 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_60 = density {
    crackle 
    color_map { DensityColorMap_58 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_59()
}
#declare VarDensityColor_61 = 1.5000;
#declare DensityColorMap_62 = color_map {
    [ 0.0000 Black*VarDensityColor_61 ]
    [ 0.3499 Black*VarDensityColor_61 ]
    [ 0.3500 Red*VarDensityColor_61 ]
    [ 0.5000 Red*VarDensityColor_61 ]
    [ 0.6500 Red*VarDensityColor_61 ]
    [ 0.6501 Black*VarDensityColor_61 ]
    [ 1.0000 Black*VarDensityColor_61 ]
}
#macro WarpColor_63 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_64 = density {
    crackle 
    color_map { DensityColorMap_62 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_63()
}
#declare VarDensityColor_65 = 1.5000;
#declare DensityColorMap_66 = color_map {
    [ 0.0000 Black*VarDensityColor_65 ]
    [ 0.3499 Black*VarDensityColor_65 ]
    [ 0.3500 Yellow*VarDensityColor_65 ]
    [ 0.5000 Yellow*VarDensityColor_65 ]
    [ 0.6500 Yellow*VarDensityColor_65 ]
    [ 0.6501 Black*VarDensityColor_65 ]
    [ 1.0000 Black*VarDensityColor_65 ]
}
#macro WarpColor_67 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_68 = density {
    crackle 
    color_map { DensityColorMap_66 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_67()
}
#declare VarDensityColor_69 = 1.5000;
#declare DensityColorMap_70 = color_map {
    [ 0.0000 Black*VarDensityColor_69 ]
    [ 0.3499 Black*VarDensityColor_69 ]
    [ 0.3500 Green*VarDensityColor_69 ]
    [ 0.5000 Green*VarDensityColor_69 ]
    [ 0.6500 Green*VarDensityColor_69 ]
    [ 0.6501 Black*VarDensityColor_69 ]
    [ 1.0000 Black*VarDensityColor_69 ]
}
#macro WarpColor_71 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_72 = density {
    crackle 
    color_map { DensityColorMap_70 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_71()
}
#declare VarDensityColor_73 = 1.5000;
#declare DensityColorMap_74 = color_map {
    [ 0.0000 Black*VarDensityColor_73 ]
    [ 0.3499 Black*VarDensityColor_73 ]
    [ 0.3500 Cyan*VarDensityColor_73 ]
    [ 0.5000 Cyan*VarDensityColor_73 ]
    [ 0.6500 Cyan*VarDensityColor_73 ]
    [ 0.6501 Black*VarDensityColor_73 ]
    [ 1.0000 Black*VarDensityColor_73 ]
}
#macro WarpColor_75 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_76 = density {
    crackle 
    color_map { DensityColorMap_74 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_75()
}
#declare VarDensityColor_77 = 1.5000;
#declare DensityColorMap_78 = color_map {
    [ 0.0000 Black*VarDensityColor_77 ]
    [ 0.3499 Black*VarDensityColor_77 ]
    [ 0.3500 Barley_Corn*VarDensityColor_77 ]
    [ 0.5000 Barley_Corn*VarDensityColor_77 ]
    [ 0.6500 Barley_Corn*VarDensityColor_77 ]
    [ 0.6501 Black*VarDensityColor_77 ]
    [ 1.0000 Black*VarDensityColor_77 ]
}
#macro WarpColor_79 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_80 = density {
    crackle 
    color_map { DensityColorMap_78 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_79()
}
#declare VarDensityColor_81 = 1.5000;
#declare DensityColorMap_82 = color_map {
    [ 0.0000 Black*VarDensityColor_81 ]
    [ 0.3499 Black*VarDensityColor_81 ]
    [ 0.3500 Blue_Diamond*VarDensityColor_81 ]
    [ 0.5000 Blue_Diamond*VarDensityColor_81 ]
    [ 0.6500 Blue_Diamond*VarDensityColor_81 ]
    [ 0.6501 Black*VarDensityColor_81 ]
    [ 1.0000 Black*VarDensityColor_81 ]
}
#macro WarpColor_83 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_84 = density {
    crackle 
    color_map { DensityColorMap_82 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_83()
}
#declare VarDensityColor_85 = 1.5000;
#declare DensityColorMap_86 = color_map {
    [ 0.0000 Black*VarDensityColor_85 ]
    [ 0.3499 Black*VarDensityColor_85 ]
    [ 0.3500 Punch*VarDensityColor_85 ]
    [ 0.5000 Punch*VarDensityColor_85 ]
    [ 0.6500 Punch*VarDensityColor_85 ]
    [ 0.6501 Black*VarDensityColor_85 ]
    [ 1.0000 Black*VarDensityColor_85 ]
}
#macro WarpColor_87 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_88 = density {
    crackle 
    color_map { DensityColorMap_86 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_87()
}
#declare VarDensityColor_89 = 1.5000;
#declare DensityColorMap_90 = color_map {
    [ 0.0000 Black*VarDensityColor_89 ]
    [ 0.3499 Black*VarDensityColor_89 ]
    [ 0.3500 Observatory*VarDensityColor_89 ]
    [ 0.5000 Observatory*VarDensityColor_89 ]
    [ 0.6500 Observatory*VarDensityColor_89 ]
    [ 0.6501 Black*VarDensityColor_89 ]
    [ 1.0000 Black*VarDensityColor_89 ]
}
#macro WarpColor_91 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_92 = density {
    crackle 
    color_map { DensityColorMap_90 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_91()
}
#declare VarDensityColor_93 = 1.5000;
#declare DensityColorMap_94 = color_map {
    [ 0.0000 Black*VarDensityColor_93 ]
    [ 0.3499 Black*VarDensityColor_93 ]
    [ 0.3500 White*VarDensityColor_93 ]
    [ 0.5000 White*VarDensityColor_93 ]
    [ 0.6500 White*VarDensityColor_93 ]
    [ 0.6501 Black*VarDensityColor_93 ]
    [ 1.0000 Black*VarDensityColor_93 ]
}
#macro WarpColor_95 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_96 = density {
    crackle 
    color_map { DensityColorMap_94 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_95()
}
#macro DensityColorsMap_97 () density_map {
    [ 0.0000 DensityColor_60 ]
    [ 0.0361 DensityColor_60 ]
    [ 0.0371 DensityColor_60 ]
    [ 0.0471 DensityColor_60 ]
    [ 0.0571 DensityColor_60 ]
    [ 0.0581 DensityColor_60 ]
    [ 0.1380 DensityColor_60 ]
    [ 0.1390 DensityColor_64 ]
    [ 0.1490 DensityColor_64 ]
    [ 0.1590 DensityColor_64 ]
    [ 0.1600 DensityColor_60 ]
    [ 0.2361 DensityColor_60 ]
    [ 0.2371 DensityColor_68 ]
    [ 0.2471 DensityColor_68 ]
    [ 0.2571 DensityColor_68 ]
    [ 0.2581 DensityColor_60 ]
    [ 0.3380 DensityColor_60 ]
    [ 0.3390 DensityColor_72 ]
    [ 0.3490 DensityColor_72 ]
    [ 0.3590 DensityColor_72 ]
    [ 0.3600 DensityColor_60 ]
    [ 0.4361 DensityColor_60 ]
    [ 0.4371 DensityColor_76 ]
    [ 0.4471 DensityColor_76 ]
    [ 0.4571 DensityColor_76 ]
    [ 0.4581 DensityColor_60 ]
    [ 0.5380 DensityColor_60 ]
    [ 0.5390 DensityColor_80 ]
    [ 0.5490 DensityColor_80 ]
    [ 0.5590 DensityColor_80 ]
    [ 0.5600 DensityColor_60 ]
    [ 0.6361 DensityColor_60 ]
    [ 0.6371 DensityColor_84 ]
    [ 0.6471 DensityColor_84 ]
    [ 0.6571 DensityColor_84 ]
    [ 0.6581 DensityColor_60 ]
    [ 0.7380 DensityColor_60 ]
    [ 0.7390 DensityColor_88 ]
    [ 0.7490 DensityColor_88 ]
    [ 0.7590 DensityColor_88 ]
    [ 0.7600 DensityColor_60 ]
    [ 0.8361 DensityColor_60 ]
    [ 0.8371 DensityColor_92 ]
    [ 0.8471 DensityColor_92 ]
    [ 0.8571 DensityColor_92 ]
    [ 0.8581 DensityColor_60 ]
    [ 0.9380 DensityColor_60 ]
    [ 0.9390 DensityColor_96 ]
    [ 0.9490 DensityColor_96 ]
    [ 0.9590 DensityColor_96 ]
    [ 0.9600 DensityColor_60 ]
    [ 1.0000 DensityColor_60 ]
}
#end
#declare DensityColorA_98 = density {
    density_file df3 "crackle01_values.df3" interpolate 0
    DensityColorsMap_97()
    translate -0.5
    scale 2.0
    WarpShapesA_53()
}
#declare DensityColorA_99 = density {
    density_file df3 "crackle01_values.df3" interpolate 0
    DensityColorsMap_97()
    translate -0.5
    scale 2.0
    WarpShapesB_54()
}
#declare MediaA_100_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaA_100 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaA_100_emission
    density { DensityColorA_98 }
    density { DensityShapesA_55 }
}
#declare MediaB_101_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaB_101 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaB_101_emission
    density { DensityColorA_99 }
    density { DensityShapesB_56 }
}

//--------------------------------------------- agate02 ----------------------------------------------
#declare VarDensityShapes_102 = 1.0000;
#declare DensityShapesMap_103 = color_map {
    [ 0.0000 Black*VarDensityShapes_102 ]
    [ 0.0010 Black*VarDensityShapes_102 ]
    [ 0.2000 White*VarDensityShapes_102 ]
    [ 1.0000 White*VarDensityShapes_102 ]
}
#macro WarpShapesA_104 ()
    scale 1.0/0.9000
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.9
#end
#macro WarpShapesB_105 ()
    scale 1.0/0.8000
    warp {
        turbulence 0.0200
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.8
#end
#declare DensityShapesA_106 = density {
    density_file df3 "agate02_shapes.df3" interpolate 1
    color_map { DensityShapesMap_103 }
    translate -0.5
    scale 2.0
    WarpShapesA_104()
}
#declare DensityShapesB_107 = density {
    density_file df3 "agate02_shapes.df3" interpolate 1
    color_map { DensityShapesMap_103 }
    translate -0.5
    scale 2.0
    WarpShapesB_105()
}
#declare VarDensityColor_108 = 1.5000;
#declare DensityColorMap_109 = color_map {
    [ 0.0000 Black*VarDensityColor_108 ]
    [ 0.3499 Black*VarDensityColor_108 ]
    [ 0.3500 Black*VarDensityColor_108 ]
    [ 0.5000 Black*VarDensityColor_108 ]
    [ 0.6500 Black*VarDensityColor_108 ]
    [ 0.6501 Black*VarDensityColor_108 ]
    [ 1.0000 Black*VarDensityColor_108 ]
}
#macro WarpColor_110 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_111 = density {
    agate 
    color_map { DensityColorMap_109 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_110()
}
#declare VarDensityColor_112 = 1.5000;
#declare DensityColorMap_113 = color_map {
    [ 0.0000 Black*VarDensityColor_112 ]
    [ 0.3499 Black*VarDensityColor_112 ]
    [ 0.3500 Red*VarDensityColor_112 ]
    [ 0.5000 Red*VarDensityColor_112 ]
    [ 0.6500 Red*VarDensityColor_112 ]
    [ 0.6501 Black*VarDensityColor_112 ]
    [ 1.0000 Black*VarDensityColor_112 ]
}
#macro WarpColor_114 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_115 = density {
    agate 
    color_map { DensityColorMap_113 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_114()
}
#declare VarDensityColor_116 = 1.5000;
#declare DensityColorMap_117 = color_map {
    [ 0.0000 Black*VarDensityColor_116 ]
    [ 0.3499 Black*VarDensityColor_116 ]
    [ 0.3500 Yellow*VarDensityColor_116 ]
    [ 0.5000 Yellow*VarDensityColor_116 ]
    [ 0.6500 Yellow*VarDensityColor_116 ]
    [ 0.6501 Black*VarDensityColor_116 ]
    [ 1.0000 Black*VarDensityColor_116 ]
}
#macro WarpColor_118 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_119 = density {
    agate 
    color_map { DensityColorMap_117 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_118()
}
#declare VarDensityColor_120 = 1.5000;
#declare DensityColorMap_121 = color_map {
    [ 0.0000 Black*VarDensityColor_120 ]
    [ 0.3499 Black*VarDensityColor_120 ]
    [ 0.3500 Green*VarDensityColor_120 ]
    [ 0.5000 Green*VarDensityColor_120 ]
    [ 0.6500 Green*VarDensityColor_120 ]
    [ 0.6501 Black*VarDensityColor_120 ]
    [ 1.0000 Black*VarDensityColor_120 ]
}
#macro WarpColor_122 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_123 = density {
    agate 
    color_map { DensityColorMap_121 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_122()
}
#declare VarDensityColor_124 = 1.5000;
#declare DensityColorMap_125 = color_map {
    [ 0.0000 Black*VarDensityColor_124 ]
    [ 0.3499 Black*VarDensityColor_124 ]
    [ 0.3500 Cyan*VarDensityColor_124 ]
    [ 0.5000 Cyan*VarDensityColor_124 ]
    [ 0.6500 Cyan*VarDensityColor_124 ]
    [ 0.6501 Black*VarDensityColor_124 ]
    [ 1.0000 Black*VarDensityColor_124 ]
}
#macro WarpColor_126 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_127 = density {
    agate 
    color_map { DensityColorMap_125 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_126()
}
#declare VarDensityColor_128 = 1.5000;
#declare DensityColorMap_129 = color_map {
    [ 0.0000 Black*VarDensityColor_128 ]
    [ 0.3499 Black*VarDensityColor_128 ]
    [ 0.3500 Barley_Corn*VarDensityColor_128 ]
    [ 0.5000 Barley_Corn*VarDensityColor_128 ]
    [ 0.6500 Barley_Corn*VarDensityColor_128 ]
    [ 0.6501 Black*VarDensityColor_128 ]
    [ 1.0000 Black*VarDensityColor_128 ]
}
#macro WarpColor_130 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_131 = density {
    agate 
    color_map { DensityColorMap_129 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_130()
}
#declare VarDensityColor_132 = 1.5000;
#declare DensityColorMap_133 = color_map {
    [ 0.0000 Black*VarDensityColor_132 ]
    [ 0.3499 Black*VarDensityColor_132 ]
    [ 0.3500 Blue_Diamond*VarDensityColor_132 ]
    [ 0.5000 Blue_Diamond*VarDensityColor_132 ]
    [ 0.6500 Blue_Diamond*VarDensityColor_132 ]
    [ 0.6501 Black*VarDensityColor_132 ]
    [ 1.0000 Black*VarDensityColor_132 ]
}
#macro WarpColor_134 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_135 = density {
    agate 
    color_map { DensityColorMap_133 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_134()
}
#declare VarDensityColor_136 = 1.5000;
#declare DensityColorMap_137 = color_map {
    [ 0.0000 Black*VarDensityColor_136 ]
    [ 0.3499 Black*VarDensityColor_136 ]
    [ 0.3500 Punch*VarDensityColor_136 ]
    [ 0.5000 Punch*VarDensityColor_136 ]
    [ 0.6500 Punch*VarDensityColor_136 ]
    [ 0.6501 Black*VarDensityColor_136 ]
    [ 1.0000 Black*VarDensityColor_136 ]
}
#macro WarpColor_138 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_139 = density {
    agate 
    color_map { DensityColorMap_137 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_138()
}
#declare VarDensityColor_140 = 1.5000;
#declare DensityColorMap_141 = color_map {
    [ 0.0000 Black*VarDensityColor_140 ]
    [ 0.3499 Black*VarDensityColor_140 ]
    [ 0.3500 Observatory*VarDensityColor_140 ]
    [ 0.5000 Observatory*VarDensityColor_140 ]
    [ 0.6500 Observatory*VarDensityColor_140 ]
    [ 0.6501 Black*VarDensityColor_140 ]
    [ 1.0000 Black*VarDensityColor_140 ]
}
#macro WarpColor_142 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_143 = density {
    agate 
    color_map { DensityColorMap_141 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_142()
}
#declare VarDensityColor_144 = 1.5000;
#declare DensityColorMap_145 = color_map {
    [ 0.0000 Black*VarDensityColor_144 ]
    [ 0.3499 Black*VarDensityColor_144 ]
    [ 0.3500 White*VarDensityColor_144 ]
    [ 0.5000 White*VarDensityColor_144 ]
    [ 0.6500 White*VarDensityColor_144 ]
    [ 0.6501 Black*VarDensityColor_144 ]
    [ 1.0000 Black*VarDensityColor_144 ]
}
#macro WarpColor_146 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_147 = density {
    agate 
    color_map { DensityColorMap_145 }
    translate -0.5
    scale <0.0250,0.0250,0.0250>
    WarpColor_146()
}
#macro DensityColorsMap_148 () density_map {
    [ 0.0000 DensityColor_111 ]
    [ 0.0361 DensityColor_111 ]
    [ 0.0371 DensityColor_111 ]
    [ 0.0471 DensityColor_111 ]
    [ 0.0571 DensityColor_111 ]
    [ 0.0581 DensityColor_111 ]
    [ 0.1380 DensityColor_111 ]
    [ 0.1390 DensityColor_115 ]
    [ 0.1490 DensityColor_115 ]
    [ 0.1590 DensityColor_115 ]
    [ 0.1600 DensityColor_111 ]
    [ 0.2361 DensityColor_111 ]
    [ 0.2371 DensityColor_119 ]
    [ 0.2471 DensityColor_119 ]
    [ 0.2571 DensityColor_119 ]
    [ 0.2581 DensityColor_111 ]
    [ 0.3380 DensityColor_111 ]
    [ 0.3390 DensityColor_123 ]
    [ 0.3490 DensityColor_123 ]
    [ 0.3590 DensityColor_123 ]
    [ 0.3600 DensityColor_111 ]
    [ 0.4361 DensityColor_111 ]
    [ 0.4371 DensityColor_127 ]
    [ 0.4471 DensityColor_127 ]
    [ 0.4571 DensityColor_127 ]
    [ 0.4581 DensityColor_111 ]
    [ 0.5380 DensityColor_111 ]
    [ 0.5390 DensityColor_131 ]
    [ 0.5490 DensityColor_131 ]
    [ 0.5590 DensityColor_131 ]
    [ 0.5600 DensityColor_111 ]
    [ 0.6361 DensityColor_111 ]
    [ 0.6371 DensityColor_135 ]
    [ 0.6471 DensityColor_135 ]
    [ 0.6571 DensityColor_135 ]
    [ 0.6581 DensityColor_111 ]
    [ 0.7380 DensityColor_111 ]
    [ 0.7390 DensityColor_139 ]
    [ 0.7490 DensityColor_139 ]
    [ 0.7590 DensityColor_139 ]
    [ 0.7600 DensityColor_111 ]
    [ 0.8361 DensityColor_111 ]
    [ 0.8371 DensityColor_143 ]
    [ 0.8471 DensityColor_143 ]
    [ 0.8571 DensityColor_143 ]
    [ 0.8581 DensityColor_111 ]
    [ 0.9380 DensityColor_111 ]
    [ 0.9390 DensityColor_147 ]
    [ 0.9490 DensityColor_147 ]
    [ 0.9590 DensityColor_147 ]
    [ 0.9600 DensityColor_111 ]
    [ 1.0000 DensityColor_111 ]
}
#end
#declare DensityColorA_149 = density {
    density_file df3 "agate02_values.df3" interpolate 0
    DensityColorsMap_148()
    translate -0.5
    scale 2.0
    WarpShapesA_104()
}
#declare DensityColorA_150 = density {
    density_file df3 "agate02_values.df3" interpolate 0
    DensityColorsMap_148()
    translate -0.5
    scale 2.0
    WarpShapesB_105()
}
#declare MediaA_151_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaA_151 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaA_151_emission
    density { DensityColorA_149 }
    density { DensityShapesA_106 }
}
#declare MediaB_152_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaB_152 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaB_152_emission
    density { DensityColorA_150 }
    density { DensityShapesB_107 }
}

//--------------------------------------------- agate03 ----------------------------------------------
#declare VarDensityShapes_153 = 1.0000;
#declare DensityShapesMap_154 = color_map {
    [ 0.0000 Black*VarDensityShapes_153 ]
    [ 0.0010 Black*VarDensityShapes_153 ]
    [ 0.2000 White*VarDensityShapes_153 ]
    [ 1.0000 White*VarDensityShapes_153 ]
}
#macro WarpShapesA_155 ()
    scale 1.0/0.9000
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.9
#end
#macro WarpShapesB_156 ()
    scale 1.0/0.8000
    warp {
        turbulence 0.0200
        octaves    6
        lambda     2.0000
        omega      0.6500
    }
    scale 0.8
#end
#declare DensityShapesA_157 = density {
    density_file df3 "agate03_shapes.df3" interpolate 1
    color_map { DensityShapesMap_154 }
    translate -0.5
    scale 2.0
    WarpShapesA_155()
}
#declare DensityShapesB_158 = density {
    density_file df3 "agate03_shapes.df3" interpolate 1
    color_map { DensityShapesMap_154 }
    translate -0.5
    scale 2.0
    WarpShapesB_156()
}
#declare VarDensityColor_159 = 1.5000;
#declare DensityColorMap_160 = color_map {
    [ 0.0000 Black*VarDensityColor_159 ]
    [ 0.3499 Black*VarDensityColor_159 ]
    [ 0.3500 Black*VarDensityColor_159 ]
    [ 0.5000 Black*VarDensityColor_159 ]
    [ 0.6500 Black*VarDensityColor_159 ]
    [ 0.6501 Black*VarDensityColor_159 ]
    [ 1.0000 Black*VarDensityColor_159 ]
}
#macro WarpColor_161 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_162 = density {
    agate 
    color_map { DensityColorMap_160 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_161()
}
#declare VarDensityColor_163 = 1.5000;
#declare DensityColorMap_164 = color_map {
    [ 0.0000 Black*VarDensityColor_163 ]
    [ 0.3499 Black*VarDensityColor_163 ]
    [ 0.3500 Red*VarDensityColor_163 ]
    [ 0.5000 Red*VarDensityColor_163 ]
    [ 0.6500 Red*VarDensityColor_163 ]
    [ 0.6501 Black*VarDensityColor_163 ]
    [ 1.0000 Black*VarDensityColor_163 ]
}
#macro WarpColor_165 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_166 = density {
    agate 
    color_map { DensityColorMap_164 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_165()
}
#declare VarDensityColor_167 = 1.5000;
#declare DensityColorMap_168 = color_map {
    [ 0.0000 Black*VarDensityColor_167 ]
    [ 0.3499 Black*VarDensityColor_167 ]
    [ 0.3500 Yellow*VarDensityColor_167 ]
    [ 0.5000 Yellow*VarDensityColor_167 ]
    [ 0.6500 Yellow*VarDensityColor_167 ]
    [ 0.6501 Black*VarDensityColor_167 ]
    [ 1.0000 Black*VarDensityColor_167 ]
}
#macro WarpColor_169 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_170 = density {
    agate 
    color_map { DensityColorMap_168 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_169()
}
#declare VarDensityColor_171 = 1.5000;
#declare DensityColorMap_172 = color_map {
    [ 0.0000 Black*VarDensityColor_171 ]
    [ 0.3499 Black*VarDensityColor_171 ]
    [ 0.3500 Green*VarDensityColor_171 ]
    [ 0.5000 Green*VarDensityColor_171 ]
    [ 0.6500 Green*VarDensityColor_171 ]
    [ 0.6501 Black*VarDensityColor_171 ]
    [ 1.0000 Black*VarDensityColor_171 ]
}
#macro WarpColor_173 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_174 = density {
    agate 
    color_map { DensityColorMap_172 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_173()
}
#declare VarDensityColor_175 = 1.5000;
#declare DensityColorMap_176 = color_map {
    [ 0.0000 Black*VarDensityColor_175 ]
    [ 0.3499 Black*VarDensityColor_175 ]
    [ 0.3500 Cyan*VarDensityColor_175 ]
    [ 0.5000 Cyan*VarDensityColor_175 ]
    [ 0.6500 Cyan*VarDensityColor_175 ]
    [ 0.6501 Black*VarDensityColor_175 ]
    [ 1.0000 Black*VarDensityColor_175 ]
}
#macro WarpColor_177 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_178 = density {
    agate 
    color_map { DensityColorMap_176 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_177()
}
#declare VarDensityColor_179 = 1.5000;
#declare DensityColorMap_180 = color_map {
    [ 0.0000 Black*VarDensityColor_179 ]
    [ 0.3499 Black*VarDensityColor_179 ]
    [ 0.3500 Barley_Corn*VarDensityColor_179 ]
    [ 0.5000 Barley_Corn*VarDensityColor_179 ]
    [ 0.6500 Barley_Corn*VarDensityColor_179 ]
    [ 0.6501 Black*VarDensityColor_179 ]
    [ 1.0000 Black*VarDensityColor_179 ]
}
#macro WarpColor_181 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_182 = density {
    agate 
    color_map { DensityColorMap_180 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_181()
}
#declare VarDensityColor_183 = 1.5000;
#declare DensityColorMap_184 = color_map {
    [ 0.0000 Black*VarDensityColor_183 ]
    [ 0.3499 Black*VarDensityColor_183 ]
    [ 0.3500 Blue_Diamond*VarDensityColor_183 ]
    [ 0.5000 Blue_Diamond*VarDensityColor_183 ]
    [ 0.6500 Blue_Diamond*VarDensityColor_183 ]
    [ 0.6501 Black*VarDensityColor_183 ]
    [ 1.0000 Black*VarDensityColor_183 ]
}
#macro WarpColor_185 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_186 = density {
    agate 
    color_map { DensityColorMap_184 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_185()
}
#declare VarDensityColor_187 = 1.5000;
#declare DensityColorMap_188 = color_map {
    [ 0.0000 Black*VarDensityColor_187 ]
    [ 0.3499 Black*VarDensityColor_187 ]
    [ 0.3500 Punch*VarDensityColor_187 ]
    [ 0.5000 Punch*VarDensityColor_187 ]
    [ 0.6500 Punch*VarDensityColor_187 ]
    [ 0.6501 Black*VarDensityColor_187 ]
    [ 1.0000 Black*VarDensityColor_187 ]
}
#macro WarpColor_189 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_190 = density {
    agate 
    color_map { DensityColorMap_188 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_189()
}
#declare VarDensityColor_191 = 1.5000;
#declare DensityColorMap_192 = color_map {
    [ 0.0000 Black*VarDensityColor_191 ]
    [ 0.3499 Black*VarDensityColor_191 ]
    [ 0.3500 Observatory*VarDensityColor_191 ]
    [ 0.5000 Observatory*VarDensityColor_191 ]
    [ 0.6500 Observatory*VarDensityColor_191 ]
    [ 0.6501 Black*VarDensityColor_191 ]
    [ 1.0000 Black*VarDensityColor_191 ]
}
#macro WarpColor_193 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_194 = density {
    agate 
    color_map { DensityColorMap_192 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_193()
}
#declare VarDensityColor_195 = 1.5000;
#declare DensityColorMap_196 = color_map {
    [ 0.0000 Black*VarDensityColor_195 ]
    [ 0.3499 Black*VarDensityColor_195 ]
    [ 0.3500 White*VarDensityColor_195 ]
    [ 0.5000 White*VarDensityColor_195 ]
    [ 0.6500 White*VarDensityColor_195 ]
    [ 0.6501 Black*VarDensityColor_195 ]
    [ 1.0000 Black*VarDensityColor_195 ]
}
#macro WarpColor_197 ()
    warp {
        turbulence 0.0500
        octaves    6
        lambda     2.0000
        omega      0.5000
    }
#end
#declare DensityColor_198 = density {
    agate 
    color_map { DensityColorMap_196 }
    translate -0.5
    scale <0.1250,0.1250,0.1250>
    WarpColor_197()
}
#macro DensityColorsMap_199 () density_map {
    [ 0.0000 DensityColor_162 ]
    [ 0.0361 DensityColor_162 ]
    [ 0.0371 DensityColor_162 ]
    [ 0.0471 DensityColor_162 ]
    [ 0.0571 DensityColor_162 ]
    [ 0.0581 DensityColor_162 ]
    [ 0.1380 DensityColor_162 ]
    [ 0.1390 DensityColor_166 ]
    [ 0.1490 DensityColor_166 ]
    [ 0.1590 DensityColor_166 ]
    [ 0.1600 DensityColor_162 ]
    [ 0.2361 DensityColor_162 ]
    [ 0.2371 DensityColor_170 ]
    [ 0.2471 DensityColor_170 ]
    [ 0.2571 DensityColor_170 ]
    [ 0.2581 DensityColor_162 ]
    [ 0.3380 DensityColor_162 ]
    [ 0.3390 DensityColor_174 ]
    [ 0.3490 DensityColor_174 ]
    [ 0.3590 DensityColor_174 ]
    [ 0.3600 DensityColor_162 ]
    [ 0.4361 DensityColor_162 ]
    [ 0.4371 DensityColor_178 ]
    [ 0.4471 DensityColor_178 ]
    [ 0.4571 DensityColor_178 ]
    [ 0.4581 DensityColor_162 ]
    [ 0.5380 DensityColor_162 ]
    [ 0.5390 DensityColor_182 ]
    [ 0.5490 DensityColor_182 ]
    [ 0.5590 DensityColor_182 ]
    [ 0.5600 DensityColor_162 ]
    [ 0.6361 DensityColor_162 ]
    [ 0.6371 DensityColor_186 ]
    [ 0.6471 DensityColor_186 ]
    [ 0.6571 DensityColor_186 ]
    [ 0.6581 DensityColor_162 ]
    [ 0.7380 DensityColor_162 ]
    [ 0.7390 DensityColor_190 ]
    [ 0.7490 DensityColor_190 ]
    [ 0.7590 DensityColor_190 ]
    [ 0.7600 DensityColor_162 ]
    [ 0.8361 DensityColor_162 ]
    [ 0.8371 DensityColor_194 ]
    [ 0.8471 DensityColor_194 ]
    [ 0.8571 DensityColor_194 ]
    [ 0.8581 DensityColor_162 ]
    [ 0.9380 DensityColor_162 ]
    [ 0.9390 DensityColor_198 ]
    [ 0.9490 DensityColor_198 ]
    [ 0.9590 DensityColor_198 ]
    [ 0.9600 DensityColor_162 ]
    [ 1.0000 DensityColor_162 ]
}
#end
#declare DensityColorA_200 = density {
    density_file df3 "agate03_values.df3" interpolate 0
    DensityColorsMap_199()
    translate -0.5
    scale 2.0
    WarpShapesA_155()
}
#declare DensityColorA_201 = density {
    density_file df3 "agate03_values.df3" interpolate 0
    DensityColorsMap_199()
    translate -0.5
    scale 2.0
    WarpShapesB_156()
}
#declare MediaA_202_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaA_202 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaA_202_emission
    density { DensityColorA_200 }
    density { DensityShapesA_157 }
}
#declare MediaB_203_emission = rgbft <0.3000,0.3000,0.3000,0.0000,0.0000>;
#declare MediaB_203 = media {
    method       3
    samples      50,5000
    confidence   0.9500
    variance     0.00100000
    jitter       0.10000000
    aa_level     5
    aa_threshold 0.0500
    emission     MediaB_203_emission
    density { DensityColorA_201 }
    density { DensityShapesB_158 }
}
#declare Interior00 = interior {
    ior 1.0000
    media { MediaA_49 }
    media { MediaB_50 }
    media { MediaA_100 }
    media { MediaB_101 }
    media { MediaA_151 }
    media { MediaB_152 }
    media { MediaA_202 }
    media { MediaB_203 }
}
#declare Finish00 = finish {
    ambient srgb <0.0000,0.0000,0.0000>
    diffuse 0.0000
    emission srgb <0.0000,0.0000,0.0000>
}
#declare Clear100 = srgbft <1.0000,1.0000,1.0000,1.0000,0.0000>;
#declare Texture00 = texture {
    pigment { color Clear100 }
    finish { Finish00 }
}
#declare Material00 = material {
    texture { Texture00 }
    interior { Interior00 }
}
#declare ObjectBox00 = object {
    object { Box00 }
    material { Material00 }
}

//-------------------------------------- Top level scene items ---------------------------------------
camera { Camera00 }
light_source { Light00 }
object { ObjectBox00 }
